# Use root/example as user/password credentials
# version: '3.9'

services:

  # db:
  #   image: mysql
  #   # command: --default-authentication-plugin=mysql_native_password  
  #   restart: always
  #   environment:
  #     MYSQL_ROOT_PASSWORD: example
 

  # adminer:
  #   image: adminer
  #   restart: always
  #   ports:
  #     - 8080:8080

  gosite:
    build: "gosite/."
    restart: always
    ports:
      - 80:80
      - 443:443
    volumes:
      - gosite:/root
      - /var/run/docker.sock:/var/run/docker.sock
      - ./gosite/project:/var/www/html
      - ./gosite/project/ApacheConfig/sites-available:/etc/apache2/sites-available
      - ./gosite/project/ApacheConfig/sites-enabled:/etc/apache2/sites-enabled  
      - ./gosite/project/ApacheConfig/letsencrypt:/var/log/letsencrypt
      

volumes:
  gosite: